#ifndef FRAMEARQUIVO_H
#define FRAMEARQUIVO_H

//(*Headers(FrameArquivo)
#include <wx/grid.h>
#include <wx/toolbar.h>
#include <wx/filedlg.h>
#include <wx/frame.h>
//*)

class FrameArquivo: public wxFrame
{
	public:

		FrameArquivo(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~FrameArquivo();

		//(*Declarations(FrameArquivo)
		wxToolBarToolBase* ToolBarItem5;
		wxToolBarToolBase* ToolBarItem6;
		wxGrid* Grid1;
		wxToolBarToolBase* ToolBarItem2;
		wxFileDialog* FileDialog1;
		wxToolBar* ToolBar1;
		wxFileDialog* FileDialog2;
		wxToolBarToolBase* ToolBarItem4;
		wxToolBarToolBase* ToolBarItem1;
		wxToolBarToolBase* ToolBarItem3;
		//*)

	protected:

		//(*Identifiers(FrameArquivo)
		static const long ID_GRID1;
		static const long ID_TOOLBARITEM1;
		static const long ID_TOOLBARITEM6;
		static const long ID_TOOLBARITEM2;
		static const long ID_TOOLBARITEM3;
		static const long ID_TOOLBARITEM4;
		static const long ID_TOOLBARITEM5;
		static const long ID_TOOLBAR1;
		//*)

	private:

		//(*Handlers(FrameArquivo)
		void OnClose(wxCloseEvent& event);
		void OnGrid1CellLeftClick(wxGridEvent& event);
		void OnGrid1CellLeftClick1(wxGridEvent& event);
		void OnGrid1CellLeftClick2(wxGridEvent& event);
		void OnGrid1CellChange(wxGridEvent& event);
		//*)

        void OnToolItem1(wxCommandEvent& event);
        void OnToolItem2(wxCommandEvent& event);
        void OnToolItem3(wxCommandEvent& event);
        void OnToolItem4(wxCommandEvent& event);
        void OnToolItem6(wxCommandEvent& event);

	protected:

		void BuildContent(wxWindow* parent,wxWindowID id,const wxPoint& pos,const wxSize& size);

		DECLARE_EVENT_TABLE()
};

#endif
